import request from "@/utils/request";

// 市场经营--项目备案列表
export function apiMarketingProjectFilingLists(params: any) {
  return request.get({
    url: "/marketing.marketing_project_filing/lists",
    params,
  });
}

// 添加市场经营--项目备案
export function apiMarketingProjectFilingAdd(params: any) {
  return request.post({
    url: "/marketing.marketing_project_filing/add",
    params,
  });
}

// 编辑市场经营--项目备案
export function apiMarketingProjectFilingEdit(params: any) {
  return request.post({
    url: "/marketing.marketing_project_filing/edit",
    params,
  });
}

// 删除市场经营--项目备案
export function apiMarketingProjectFilingDelete(params: any) {
  return request.post({
    url: "/marketing.marketing_project_filing/delete",
    params,
  });
}

// 市场经营--项目备案详情
export function apiMarketingProjectFilingDetail(params: any) {
  return request.get({
    url: "/marketing.marketing_project_filing/detail",
    params,
  });
}

// 市场经营--
export function apiMarketingProjectFilingDetailDelete(params: any) {
  return request.post({
    url: "/marketing.marketing_project_filing_detail/delete",
    params,
  });
}

// 市场经营--项目备案详情
export function apiMarketingProjectFilingDetailLists(params: any) {
  return request.get({
    url: "/marketing.marketing_project_filing_detail/lists",
    params,
  });
}

// 市场经营--项目备案列表
export function apiMarketingProjectFilingSearch(params: any) {
  return request.get({
    url: "/marketing.marketing_project_filing/datas",
    params,
  });
}
